Bug 83429 - (NET TG3) Support for BCM5705 / BCM5782
(NET TG3) Support for BCM5705 / BCM5782
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
high Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-03 23:32 EST by Larry Troan
Modified: 2016-04-18 05:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-04 22:05:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bcom-linux-5.0.17.zip (507.28 KB, patch)
2003-02-03 23:34 EST, Larry Troan
no flags Details | Diff
lspci.txt (808 bytes, text/plain)
2003-02-03 23:34 EST, Larry Troan
no flags Details
new-lspci.txt (808 bytes, text/plain)
2003-02-20 19:31 EST, Larry Troan
no flags Details

  None (edit)
Description Larry Troan 2003-02-03 23:32:02 EST
The tg3 driver supplied within the Beta4 release does not detect the down NIC on
either of the upcoming HP Intel Chipset based desktops.


----------
Action by: Marcg.Barber
Issue Registered
----------
Action by: arjanv
What's the lspci output for this tg3 chip ?

Status set to: Waiting on Client

----------
Action by: Marcg.Barber
Broadcom has given HP permission to release this information to RedHat.  Please
see the attached lspci.txt file for the requested information.  I will also
attach the Broadcom bcm5700 driver source.

Status set to: Waiting on Tech
File uploaded: lspci.txt

----------
Action by: Marcg.Barber


File uploaded: bcom-linux-5.0.17.zip


ISSUE TRACKER 14358 opened as sev 1.
Comment 1 Larry Troan 2003-02-03 23:34:02 EST
Created attachment 89830 [details]
bcom-linux-5.0.17.zip
Comment 2 Larry Troan 2003-02-03 23:34:40 EST
Created attachment 89831 [details]
lspci.txt
Comment 3 Larry Troan 2003-02-20 19:31:18 EST
Created attachment 90234 [details]
new-lspci.txt
Comment 4 Larry Troan 2003-02-20 19:32:48 EST
FROM ISSUE TRACKER 14358....
A firmware update for the Broadcom 5705 NIC has changed the PCI ID and the chip
name.  Please review the attached latest lspci.txt file (new-lspci.txt) for the
appropriate information.
Comment 5 Larry Troan 2003-02-20 19:37:06 EST
SUGGEST YOU CHECK THRE LATEST tg3 kernel rev from Jeff Garzik's people page to
see if this problem is resolved. It's rev'd off the latest gingin kernel....

http://people.redhat.com/jgarzik/pub/filbbertygibbet/

PLEASE REPORT BACK HERE ASAP IF YOU STILL FIND PROBLEMS !!!!
Comment 6 Jeff Garzik 2003-02-20 19:46:55 EST
Can you please provide "lspci -n" output?

Also, it is unlikely we have support for this board yet...
Comment 7 Larry Troan 2003-03-07 08:41:54 EST
FROM ISSUE TRACKER...
Event posted 02-24-2003 04:36pm by Marcg.Barber with duration of 0.00
This NIC uses the deviceID 1696/vendorID 14e4.  Used latest tg3 kernel
rev(legolas build) from jeff garzik's site.  Device is not detected using the
tg3 kernel driver module.  Id is not present in the source file.
Comment 8 Larry Troan 2003-08-08 10:01:23 EDT
Jeff working on cleanup of latest 5705/5782 chip support in tg3. Not in Taroon
sushi drops yet. Target is Beta2. 
---
No plans for RHL/Community releases yet. Per Arjan, 7.3 approaching EOL and may
not receive updates.
Comment 9 Larry Troan 2003-08-28 22:47:56 EDT
Bug 100605 covers bcm5782 problems on Taroon. Bug 88622 covers 5705 and 4401
problems on Taroon. 

This bug appears to be a catch-all for all tg3 bugs on RHL9 and beyond. Do we
need to keep it open?
Comment 10 Larry Troan 2004-03-04 22:05:45 EST
No Activity on this bug for over a year. RHL 9 goes EOL 4/30/2004.
Closing BUG as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.